Subject: Re: bug#28268: 26.0.50; (MS Windows) crash on C-g after closing Git GUI

From: Noam Postavsky <[email-masked]>
Date: Tue, 29 Aug 2017 12:38:02 -0400

On Tue, Aug 29, 2017 at 11:18 AM, Eli Zaretskii <[email-masked]> wrote:
>> Recipe:
>>
>> Visit a git repo.
>> C-x g ; magit-status
>> ! g   ; magit-run-popup, magit-run-git-gui
>> ;; A nasty-looking window pops up (Git GUI, I presume). Close it.
>> C-g   ; Crashes.
>
> I couldn't reproduce this here: the Git GUI didn't pop up for me.
> Perhaps something is missing from the recipe ("C-x g" was also
> unbound), or maybe it's because my Git is configured to be run only
> from Git Bash, not from anywhere else on Windows.

I can't reproduce this here either. I need the patch at [1] to make
the GUI pop up, but even after applying that I get no crash.

(magit provides a Makefile such that "C-x g" is bound to magit-status
if you do 'make emacs-Q', although I don't normally use this on
Windows since I don't have 'make' on PATH)

[1]: https://patch-diff.githubusercontent.com/raw/magit/magit/pull/3155.patch